Package org.wildfly.plugin.core

## Class FeaturePack

- java.lang.Object
- - org.wildfly.plugin.core.FeaturePack

- All Implemented Interfaces:
    `org.apache.maven.shared.artifact.ArtifactCoordinate`, `org.apache.maven.shared.dependencies.DependableCoordinate`

      @Deprecated(forRemoval=true)
      public class FeaturePack
      extends Object
      implements org.apache.maven.shared.dependencies.DependableCoordinate, org.apache.maven.shared.artifact.ArtifactCoordinate

  Deprecated, for removal: This API element is subject to removal in a future version.
  Author:
    Alexey Loubyanssky

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FeaturePack()` | Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getArtifactId()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getClassifier()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `List<ConfigurationId>` | `getExcludedConfigs()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `List<String>` | `getExcludedPackages()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getExtension()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getGroupId()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `List<ConfigurationId>` | `getIncludedConfigs()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `List<String>` | `getIncludedPackages()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getLocation()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Path` | `getNormalizedPath()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getType()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `getVersion()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Boolean` | `isInheritConfigs()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `Boolean` | `isInheritPackages()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `boolean` | `isTransitive()` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `set​(String location)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setArtifactId​(String artifactId)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setClassifier​(String classifier)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setExcludedConfigs​(List<ConfigurationId> excludedConfigs)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setExcludedPackages​(List<String> excludedPackages)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setExtension​(String extension)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setGroupId​(String groupId)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setIncludedConfigs​(List<ConfigurationId> includedConfigs)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setIncludedPackages​(List<String> includedPackages)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setInheritConfigs​(boolean inheritConfigs)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setInheritPackages​(boolean inheritPackages)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setLocation​(String location)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setPath​(File path)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setTransitive​(boolean transitiveDep)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setType​(String type)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `void` | `setVersion​(String version)` | Deprecated, for removal: This API element is subject to removal in a future version.
    `String` | `toString()` | Deprecated, for removal: This API element is subject to removal in a future version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FeaturePack

          public FeaturePack()

      Deprecated, for removal: This API element is subject to removal in a future version.

  - ### Method Detail

    - #### getGroupId

          public String getGroupId()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `getGroupId` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`
      Specified by:
        `getGroupId` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setGroupId

          public void setGroupId​(String groupId)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getArtifactId

          public String getArtifactId()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `getArtifactId` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`
      Specified by:
        `getArtifactId` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setArtifactId

          public void setArtifactId​(String artifactId)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getVersion

          public String getVersion()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `getVersion` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`
      Specified by:
        `getVersion` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setVersion

          public void setVersion​(String version)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getType

          public String getType()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `getType` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setType

          public void setType​(String type)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getClassifier

          public String getClassifier()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `getClassifier` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`
      Specified by:
        `getClassifier` in interface `org.apache.maven.shared.dependencies.DependableCoordinate`

    - #### setClassifier

          public void setClassifier​(String classifier)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getExtension

          public String getExtension()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Specified by:
        `getExtension` in interface `org.apache.maven.shared.artifact.ArtifactCoordinate`

    - #### setExtension

          public void setExtension​(String extension)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### isTransitive

          public boolean isTransitive()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setTransitive

          public void setTransitive​(boolean transitiveDep)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getLocation

          public String getLocation()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setLocation

          public void setLocation​(String location)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### isInheritPackages

          public Boolean isInheritPackages()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setInheritPackages

          public void setInheritPackages​(boolean inheritPackages)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### isInheritConfigs

          public Boolean isInheritConfigs()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setInheritConfigs

          public void setInheritConfigs​(boolean inheritConfigs)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getIncludedConfigs

          public List<ConfigurationId> getIncludedConfigs()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setIncludedConfigs

          public void setIncludedConfigs​(List<ConfigurationId> includedConfigs)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getExcludedConfigs

          public List<ConfigurationId> getExcludedConfigs()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setExcludedConfigs

          public void setExcludedConfigs​(List<ConfigurationId> excludedConfigs)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getExcludedPackages

          public List<String> getExcludedPackages()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setExcludedPackages

          public void setExcludedPackages​(List<String> excludedPackages)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getIncludedPackages

          public List<String> getIncludedPackages()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setIncludedPackages

          public void setIncludedPackages​(List<String> includedPackages)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### setPath

          public void setPath​(File path)

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### getNormalizedPath

          public Path getNormalizedPath()

      Deprecated, for removal: This API element is subject to removal in a future version.

    - #### toString

          public String toString()

      Deprecated, for removal: This API element is subject to removal in a future version.
      Overrides:
        `toString` in class `Object`

    - #### set

          public void set​(String location)

      Deprecated, for removal: This API element is subject to removal in a future version.